class 'code_button01'
function code_button01:__init()
 self.object=nil


 self.index=nil
 self.type=nil
end


function code_button01:setObject(param)
  self.object=param
end

function code_button01:getObject()
 return self.object
end

function code_button01:setIndex(param)
  self.index=param
end

function code_button01:getIndex()
  return self.index
end

function code_button01:setType(param)
  self.type=param
end

function code_button01:getType()
  return self.type
end

--function code_button01:getState()
-- return self.state
--end


